%define upstream_name    AI-Pathfinding-OptimizeMultiple
%define upstream_version 0.0.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    The simulation results
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/AI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exception::Class)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(MooX)
BuildRequires: perl(MooX::Types::MooseLike::Base)
BuildRequires: perl(MooX::late) >= 0.7.0
BuildRequires: perl(PDL)
BuildRequires: perl(PDL::IO::FastRaw)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(autodie)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is the base class for the AI::Pathfinding::OptimizeMultiple manpage
classes. Everything is subject to change.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%buildroot

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
%_bindir/optimize-game-ai-multi-tasking
%_mandir/man1/optimize-game-ai-multi-tasking.1*

%changelog
* Wed Oct 21 2020 tv <tv> 0.0.16-1.mga8
+ Revision: 1637424
- update to 0.0.16

* Wed Feb 12 2020 umeabot <umeabot> 0.0.15-4.mga8
+ Revision: 1503368
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.0.15-3.mga7
+ Revision: 1281532
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.0.15-2.mga7
+ Revision: 1162764
- rebuild with fixed rpm for missing autodeps

* Mon Aug 07 2017 shlomif <shlomif> 0.0.15-1.mga7
+ Revision: 1138529
- New version 0.0.15

* Sat Jun 18 2016 pterjan <pterjan> 0.0.13-2.mga6
+ Revision: 1022207
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 0.0.13-1.mga6
+ Revision: 1007206
- update to 0.0.13

* Thu Feb 18 2016 umeabot <umeabot> 0.0.12-2.mga6
+ Revision: 966139
- Mageia 6 Mass Rebuild

* Wed Jun 24 2015 shlomif <shlomif> 0.0.12-1.mga6
+ Revision: 842443
- update to 0.0.12

* Wed Oct 15 2014 umeabot <umeabot> 0.0.11-3.mga5
+ Revision: 739014
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Apr 25 2014 shlomif <shlomif> 0.0.11-1.mga5
+ Revision: 617821
- update to 0.0.11

* Tue Feb 04 2014 shlomif <shlomif> 0.0.8-1.mga5
+ Revision: 580968
- New version 0.0.8

* Fri Jan 17 2014 dmorgan <dmorgan> 0.0.5-4.mga4
+ Revision: 566776
- Re enable all tests against fixed perl-PDL

* Fri Jan 17 2014 dmorgan <dmorgan> 0.0.5-3.mga4
+ Revision: 566756
- Disable optimise test
- Rebuild to please autobuild

* Tue Dec 10 2013 shlomif <shlomif> 0.0.5-1.mga4
+ Revision: 556161
- imported package perl-AI-Pathfinding-OptimizeMultiple

